<?PHP
class Servers {

	private $DB;
	private $MG;

	public function __construct() {

		if( substr( PHP_SAPI, 0, 3 ) != 'cli' ) {
			exit;
		}

		$this -> DB = Cache :: get( 'SQLITE' );
		$this -> MG = Cache :: get( 'MG_OBJ' );

	}

	public function start() {

		// 正在进行的任务
		$is_start = $this -> DB -> table( 'task_list' ) -> field( 'id' ) -> where( 'status=' . TASK_START ) -> count();

		if( $is_start > 0 ) {
			return;
		}

		// 优先新创建任务
		$task = $this -> DB -> table( 'task_list' ) -> field( 'id' ) -> where( 'status=' . TASK_INIT ) -> order( 'level DESC' ) -> limit( 1 ) -> select();

		// 队列等待的任务
		if( count( $task ) < 1 ) {
			$task = $this -> DB -> table( 'task_list' ) -> field( 'id' ) -> where( 'status=' . TASK_STANDBY ) -> order( 'level DESC' ) -> limit( 1 ) -> select();
		}

		if( count( $task ) > 0 ) {
			$this -> MG -> task_continue( $task[ 0 ][ 'id' ] );
		}

	}

	public function __destruct() {
		MultiGet :: events();
	}

}
?>